teamviewer.com link icon
or
Ask The Community

Can't connect to TeamViewer 12 using TeamViewer 12.

My grandfather has an iMac running OSX 10.8. It took quite a while over the phone, but he managed to get TeamViewer 12 installed, which is the latest version that works on 10.8. I have access to a linux machine and a MacBook with OSX 10.14. I tried TeamViewer 12 on both, but whenever I tried to connect using the "Your ID" shown on his screen, I was presented an error that the remote Team Viewer was too old. But we were both using TeamViewer 12! I had him confirm via "About Teamviewer".

Remote troubleshooting over the phone is quite painful and due to COVID nobody can stop by to help him out. Anyone have a suggestion on what might be wrong?

Comments

  • JeanK
    JeanK Posts: 4,205 Moderator

    Hello @bobpaul and thank you for your message. ?

    Unfortunately, there is no workaround for this.

    You will find the explanation here: Re: Teamviewer can't connect to older version?? 

    Best,

    Jean

    French Community Moderator
  • bobpaul
    bobpaul Posts: 2

    So that link says that only users "who bought TeamViewer 9 can use TeamViewer 9". I assume 12 is the same.

    There's a $50/mo subscription. If I get that, will TeamViewer 12 work on my account? Or do I have to go back in time and make some purchase of TeamViewer 12 specifically?

    Due to COVID, nobody can visit my Grandparents right now and trying to talk an 87yr old man who was last comfortable with computers when they had green screen through upgrading OSX over the phone is going to be a nightmare. It's been hard enough attempting video chat (unsuccesfully) and installing TeamViewer.

Sign In or Register to comment.